<?php
/**
 * #PHPHEADER_OECAPTCHA_LICENSE_INFORMATION#
 */
/**
 * This file is part of OXID eSales Captcha module.
 *
 * TODO: license
 *
 * @category      module
 * @package       captcha
 * @author        OXID eSales AG
 * @link          http://www.oxid-esales.com/
 * @copyright (C) OXID eSales AG 2003-20162016
 */

/**
 * Metadata version
 */

use OxidEsales\Eshop\Application\Component\UserComponent;
use OxidEsales\Eshop\Application\Controller\AccountUserController;

$sMetadataVersion = '1.1';

/**
 * Module information
 */
$aModule = array(
    'id'          => 'oecaptcha',
    'title'       => array(
        'de' => 'Simple Captcha',
        'en' => 'Simple Captcha',
    ),
    'description' => array(
        'de' => 'OXID eSales Simple Captcha Module',
        'en' => 'OXID eSales Simple Captcha Module',
    ),
    'thumbnail'   => 'out/pictures/picture.png',
    'version'     => '2.0.6',
    'author'      => 'OXID eSales AG',
    'url'         => 'https://www.oxid-esales.com/',
    'email'       => '',
    'extend'      => array('details'           => 'oe/captcha/controllers/oecaptchadetails',
                           'contact'           => 'oe/captcha/controllers/oecaptchacontact',
                           'forgotpwd'         => 'oe/captcha/controllers/oecaptchaforgotpwd',
                           'invite'            => 'oe/captcha/controllers/oecaptchainvite',
                           'newsletter'        => 'oe/captcha/controllers/oecaptchanewsletter',
                           'pricealarm'        => 'oe/captcha/controllers/oecaptchapricealarm',
                           'suggest'           => 'oe/captcha/controllers/oecaptchasuggest',
                           'oxwarticledetails' => 'oe/captcha/application/component/widget/oecaptchawarticledetails',
                           UserComponent::class   => 'oe/captcha/application/component/oeusercomponent',
                           'register' => 'oe/captcha/controllers/oecaptcharegister',
                           'user' => 'oe/captcha/controllers/oecaptchauser',
                           AccountUserController::class => 'oe/captcha/controllers/oecaptchaaccountuser'
    ),
    'files'       => array(
        'oecaptcha'       => 'oe/captcha/core/oecaptcha.php',
        'oecaptchaEvents' => 'oe/captcha/core/oecaptchaevents.php',
    ),
    'templates'   => array(
        'oecaptcha.tpl' => 'oe/captcha/application/views/tpl/oecaptcha.tpl',
        'oecaptcha_wave.tpl' => 'oe/captcha/application/views/tpl/oecaptcha_wave.tpl',
    ),
    'blocks'      => array(
        array('template' => 'form/contact.tpl',
              'block'=>'captcha_form',
              'theme' => 'flow',
              'file'=>'/application/views/blocks/captcha_form.tpl'),
        array('template' => 'form/newsletter.tpl',
              'block'=>'captcha_form',
              'theme' => 'flow',
              'file'=>'/application/views/blocks/captcha_form.tpl'),
        array('template' => 'form/privatesales/invite.tpl',
              'theme' => 'flow',
              'block'=>'captcha_form',
              'file'=>'/application/views/blocks/captcha_form.tpl'),
        array('template' => 'form/pricealarm.tpl',
              'block'=>'captcha_form',
              'theme' => 'flow',
              'file'=>'/application/views/blocks/captcha_form.tpl'),
        array('template' => 'form/suggest.tpl',
              'block'=>'captcha_form',
              'theme' => 'flow',
              'file'=>'/application/views/blocks/captcha_form.tpl'),
        array('template' => 'form/forgotpwd_email.tpl',
              'block'=>'captcha_form',
              'theme' => 'flow',
              'file'=>'/application/views/blocks/captcha_form_forgotpwd.tpl'),
        array('template' => 'form/fieldset/user_billing.tpl',
              'block'=>'captcha_form',
              'theme' => 'flow',
              'file'=>'/application/views/blocks/captcha_form.tpl'),

        array('template' => 'form/contact.tpl',
              'block'=>'captcha_form',
              'theme' => 'wave',
              'file'=>'/application/views/blocks/captcha_form_contact_wave.tpl'),
        array('template' => 'form/newsletter.tpl',
              'block'=>'captcha_form',
              'theme' => 'wave',
              'file'=>'/application/views/blocks/captcha_form_newsletter_wave.tpl'),
        array('template' => 'form/privatesales/invite.tpl',
              'theme' => 'wave',
              'block'=>'captcha_form',
              'file'=>'/application/views/blocks/captcha_form_wave.tpl'),
        array('template' => 'form/pricealarm.tpl',
              'block'=>'captcha_form',
              'theme' => 'wave',
              'file'=>'/application/views/blocks/captcha_form_wave.tpl'),
        array('template' => 'form/suggest.tpl',
              'block'=>'captcha_form',
              'theme' => 'wave',
              'file'=>'/application/views/blocks/captcha_form_wave.tpl'),
        array('template' => 'form/forgotpwd_email.tpl',
              'block'=>'captcha_form',
              'theme' => 'wave',
              'file'=>'/application/views/blocks/captcha_form_forgotpwd_wave.tpl'),
        array('template' => 'form/fieldset/user_billing.tpl',
              'block'=>'captcha_form',
              'theme' => 'wave',
              'file'=>'/application/views/blocks/captcha_form_user_billing_wave.tpl'),
    ),
    'settings'    => array(
        array('group' => 'main', 'name' => 'oecaptchakey', 'type' => 'str', 'value' => ''),
    ),
    'events'       => array(
        'onActivate'   => 'oecaptchaevents::onActivate',
        'onDeactivate' => 'oecaptchaevents::onDeactivate'
    ),
);
